/*
  C++ STL I/O demo: binary file input.
  Read "demo" file in 10-byte chunks.
  
  Orion Sky Lawlor, olawlor@acm.org, 2007/02/08 (Public Domain)
*/
#include <iostream>
#include <windows.h>

int main() {
	HANDLE h=CreateFile("demo", /* File name */
		GENERIC_READ,  /* R/W Access I get */
		0,	       /* (shared) Access others can get */
		0,	       /* Security attributes */
		OPEN_EXISTING, /* open or create */
		FILE_ATTRIBUTE_NORMAL, /* Flags and attributes */
		0); /* Template file */
	if (h==NULL) {std::cout<<"Can't open the file. Crap!"<<std::endl; return 0;}
	char buf[11];
	buf[10]=0;
	SetFilePointer(h,0,0,FILE_BEGIN);
	DWORD len=0;
	while (ReadFile(h,buf,10,&len,0)) {
		if (len!=10) break;
		std::cout<<"Read: "<<buf<<std::endl;
	}
	std::cout<<"File ended up at location "<<SetFilePointer(h,0,0,FILE_CURRENT)<<"\n";
	CloseHandle(h);
	return 0;
}
